summaryrefslogtreecommitdiffstats
path: root/jjb/compass4nfv/compass-makeppa.sh
diff options
context:
space:
mode:
authormeimei <meimei@huawei.com>2016-01-08 14:50:09 +0800
committermeimei <meimei@huawei.com>2016-01-08 18:23:27 +0800
commit946147ef544271432a6fd02b1c8d99326af7ddd7 (patch)
tree36b4733d83681bc2a0741b1b840a4dc4440d965d /jjb/compass4nfv/compass-makeppa.sh
parentac1003f22ee1929d74278a1e3c1434bba02d5428 (diff)
Enable compass Arno scenario for master and stable/brahmaputra
This patch proposes below changes: - Run CI on intel-pod8(master) & huawei-us-deploy-bare-1(brahmaputra) - Configure functest and yardstick against both branches on both PODs Change-Id: Ie46f938f9485a43ff93650ef37f84d7bc211acb8 Signed-off-by: meimei <meimei@huawei.com> Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/compass4nfv/compass-makeppa.sh')
-rw-r--r--jjb/compass4nfv/compass-makeppa.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/jjb/compass4nfv/compass-makeppa.sh b/jjb/compass4nfv/compass-makeppa.sh
new file mode 100644
index 000000000..83cc059c0
--- /dev/null
+++ b/jjb/compass4nfv/compass-makeppa.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -x
+set -o errexit
+set -o nounset
+set -o pipefail
+# make ppa
+cd $WORKSPACE/
+./build/make_repo.sh
+# calc MD5 of ppa
+cd $PPA_CACHE
+for i in $(find *.gz *.iso *.img -type f)
+do
+ md5=$(md5sum $i | cut -d ' ' -f1)
+ echo $md5 > $i.md5
+ curl -T $i $PPA_REPO
+ curl -T $i.md5 $PPA_REPO
+done \ No newline at end of file